Bug 53090 - rerunning up2date after a 'cancel' after download fails with 'not enough disk space'
rerunning up2date after a 'cancel' after download fails with 'not enough disk...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-03 10:03 EDT by Christopher McCrory
Modified: 2015-01-07 18:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 12:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2001-09-03 10:03:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
rerunning up2date after a 'cancel' after download fails with 'not enough
disk space' .  All the packages had already been downloaded.  I would think
it would detect that some or all the packages were already local and adjust
the disk space requirements

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  install rosswell
2.  partially run up2date, canceling after all the packages have been
downloaded
2a. to test, make sure there is not enough disk space to redownload all
packages again.
3.  run up2date again
	

Actual Results:  Error dialog

"The total size of selected packages is 181920 kb, but
You only have 174936 kb of free space.
Please unselect some packages and continue"

Expected Results:  Determine if some of all of the packages are already
downloaded and in the /var/spool/up2date directory

Additional info:

The error dialog stated "181920 kb" and "174936 kb".  I would read that as
181920 kilo _bits_ (small k) rather than Kilo Bytes.

Recomend 181920 KB
Comment 1 Adrian Likins 2001-09-04 12:51:39 EDT
erk. Indeed, it should check to see which packages have been downloaded
first to see if it has enough space. 

Know hoe to fix this, but it's a low priority at the moment.
Comment 2 Adrian Likins 2002-05-08 18:16:40 EDT
This has been fixed in the 7.3 versions of the client.

Note You need to log in before you can comment on or make changes to this bug.